## Index

### Classes

- TooltipImpl

### Interfaces

- OwnProps
- State

### Type aliases

- Props

### Variables

- Tooltip

### Object literals

- styles

## Type aliases

### Props

Props: OwnProps & WithSheet<object, __type>

- Defined in components/Tooltip/index.tsx:42

## Variables

### Const Tooltip

Tooltip: ComponentClass<object & StyledComponentProps<"alternate" | "hint">, any> | StatelessComponent<object & StyledComponentProps<"alternate" | "hint">> = injectSheet(styles)(TooltipImpl)

- Defined in components/Tooltip/index.tsx:115

## Object literals

### Const styles

styles: object

- Defined in components/Tooltip/index.tsx:24

### alternate

alternate: object

- Defined in components/Tooltip/index.tsx:36

### backgroundImage

backgroundImage: any = ((props: OwnProps) => props.themeGradient || 'initial') as any

- Defined in components/Tooltip/index.tsx:38

### borderRadius

borderRadius: number = 12

- Defined in components/Tooltip/index.tsx:37

### hint

hint: object

- Defined in components/Tooltip/index.tsx:25

### backgroundColor

backgroundColor: string = "#333"

- Defined in components/Tooltip/index.tsx:33

### borderRadius

borderRadius: number = 2

- Defined in components/Tooltip/index.tsx:34

### color

color: string = "#FFF"

- Defined in components/Tooltip/index.tsx:32

### fontSize

fontSize: number = 11

- Defined in components/Tooltip/index.tsx:29

### fontWeight

fontWeight: number = 700

- Defined in components/Tooltip/index.tsx:30

### margin

margin: any = [0, 0, 0, 2] as any

- Defined in components/Tooltip/index.tsx:27

### padding

padding: any = [5, 10, 6] as any

- Defined in components/Tooltip/index.tsx:28

### textAlign

textAlign: "center" = 'center' as 'center'

- Defined in components/Tooltip/index.tsx:31

### width

width: number = 137

- Defined in components/Tooltip/index.tsx:26

Generated using TypeDoc